Subject: Fungus on mums- what to do?

From: jrohed@edv1e99 (Jonathan Rohed)
Date: Tue, 14 Mar 1995 13:04:43 GMT

About 3 weeks ago I got a shipment of "Blaz-o-mums" and 3 types of Clematis from Gurnees and set them out (shaded at first and then exposed to full sun gradually). During the last week or so, it appears as though there is fungal growth on the existent leaves and also starting to appear on the new growth.
It looks like the fungus is starting to also affect the Clematis which is a few feet away- a very unhappy situation. Most of the other pre-existent plants in the area, with the same exposure and watering (and including older mums) are not infected. The reference books say to remove and destroy the plants. Is there some other sort of treatment I can give them which is less radical? I have been reading horror stories about fungicides touching the wrong plants and destroying them.Any advice? Please help!

Thanks in advance;

Jonathan Rohed
[email-masked]
Lake Worth FL Zone 9-10